"use strict";
const common_vendor = require("../../../common/vendor.js");
const BILL_outstanding_fee_show_model = require("./model.js");
const BILL_outstanding_fee_show_method = require("./method.js");
require("../../../common/libraries/day.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../gen/Apis.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/libraries/naviHelper.js");
require("../../../common/libraries/sendWxWork.js");
if (!Array) {
  const _easycom_hs_tabs2 = common_vendor.resolveComponent("hs-tabs");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  (_easycom_hs_tabs2 + _easycom_cc_scroll_loading2)();
}
const _easycom_hs_tabs = () => "../../../components/hs-tabs/hs-tabs.js";
const _easycom_cc_scroll_loading = () => "../../../common/components/cc-scroll-loading/cc-scroll-loading.js";
if (!Math) {
  (MyPageHeader + _easycom_hs_tabs + MyBillRecord + MyBillItem + MyWorkOrderList + MyPersonnelList + _easycom_cc_scroll_loading + MyPageFooter)();
}
const MyBillItem = () => "./components/BillItem.js";
const MyPageHeader = () => "./components/PageHeader.js";
const MyPageFooter = () => "./components/PageFooter.js";
const MyBillRecord = () => "./components/BillRecord.js";
const MyWorkOrderList = () => "./components/WorkOrderList.js";
const MyPersonnelList = () => "./components/PersonnelList.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const tablist = [{ label: "房屋账单" }, { label: "房屋工单" }, { label: "房屋人员" }];
    common_vendor.onShow(async () => {
      var _a, _b, _c, _d, _e;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      if ((_d = (_c = (_b = BILL_outstanding_fee_show_model.useModel) == null ? void 0 : _b.showData) == null ? void 0 : _c.value) == null ? void 0 : _d.id) {
        BILL_outstanding_fee_show_model.useModel.houseBillsData.value = [];
        BILL_outstanding_fee_show_model.useModel.collectionList.value = [];
        (_e = BILL_outstanding_fee_show_method.method) == null ? void 0 : _e.handleTabsChange(BILL_outstanding_fee_show_model.useModel.tabsCurrent.value);
      }
    });
    common_vendor.onUnload(() => {
      BILL_outstanding_fee_show_model.useModel.showData.value = void 0;
      BILL_outstanding_fee_show_model.useModel.houseBillsData.value = [];
      BILL_outstanding_fee_show_model.useModel.collectionList.value = [];
      BILL_outstanding_fee_show_model.useModel.total_amount.value = 0;
    });
    common_vendor.onLoad(async (e) => {
      var _a, _b, _c;
      BILL_outstanding_fee_show_model.useModel.tabsCurrent.value = 0;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      BILL_outstanding_fee_show_model.useModel.formData.value.asset_houses_id = e == null ? void 0 : e.id;
      (_b = BILL_outstanding_fee_show_method.method) == null ? void 0 : _b.getShow(e == null ? void 0 : e.id);
      (_c = BILL_outstanding_fee_show_method.method) == null ? void 0 : _c.getHouseBills(1);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f;
      return common_vendor.e({
        a: common_vendor.o((_a = common_vendor.unref(BILL_outstanding_fee_show_method.method)) == null ? void 0 : _a.handleTabsChange),
        b: common_vendor.p({
          list: tablist,
          current: common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value
        }),
        c: common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value === 0
      }, common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value === 0 ? {
        d: common_vendor.f((_c = (_b = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _b.houseBillsData) == null ? void 0 : _c.value, (i, index, i0) => {
          return {
            a: `items_${index}`,
            b: "e72aaab2-4-" + i0 + ",e72aaab2-2",
            c: common_vendor.p({
              item: i,
              index
            })
          };
        })
      } : {}, {
        e: common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value === 1
      }, common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value === 1 ? {} : {}, {
        f: common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value === 2
      }, common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value === 2 ? {} : {}, {
        g: common_vendor.o((_d = common_vendor.unref(BILL_outstanding_fee_show_method.method)) == null ? void 0 : _d.loadMore),
        h: common_vendor.p({
          meta: (_f = (_e = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _e.metaData) == null ? void 0 : _f.value
        }),
        i: common_vendor.n(`show_container_${common_vendor.unref(BILL_outstanding_fee_show_model.useModel).tabsCurrent.value}`)
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/outstanding_fee/show/index.vue"]]);
wx.createPage(MiniProgramPage);
